Loading...
Searching...
No Matches
pappso::GrpGroupingMonitor Class Reference

`#include <grpgroupingmonitor.h>`

Inheritance diagram for pappso::GrpGroupingMonitor:

## Public Member Functions

| GrpGroupingMonitor ()
virtual | ~GrpGroupingMonitor ()
virtual void | startGrouping (std::size_t total_number_protein, std::size_t total_number_peptide)
virtual void | groupingProtein ()
virtual void | startRemovingNonInformativeSubGroupsInAllGroups (std::size_t total_number_group)
virtual void | stopRemovingNonInformativeSubGroupsInAllGroups (std::size_t total_number_group)
virtual void | removingNonInformativeSubGroupsInGroup ()
virtual void | startNumberingAllGroups (std::size_t total_number_group)
virtual void | stopGrouping ()
Public Member Functions inherited from pappso::GrpGroupingMonitorInterface
virtual | ~GrpGroupingMonitorInterface ()

## Private Attributes

QTextStream * | mp_outStream
std::size_t | m_totalNumberProtein
std::size_t | m_totalNumberPeptide
std::size_t | m_currentProtein

## Detailed Description

Definition at line 48 of file grpgroupingmonitor.h.

## Constructor & Destructor Documentation

## GrpGroupingMonitor()

pappso::GrpGroupingMonitor::GrpGroupingMonitor | ( |  | ) |

Definition at line 38 of file grpgroupingmonitor.cpp.

{
mp_outStream = new QTextStream(stderr, QIODevice::WriteOnly);
}
pappso::GrpGroupingMonitor::mp_outStream
QTextStream * mp_outStream
Definition grpgroupingmonitor.h:51

References mp_outStream.

## ~GrpGroupingMonitor()

pappso::GrpGroupingMonitor::~GrpGroupingMonitor | ( |  | ) |

virtual

Definition at line 43 of file grpgroupingmonitor.cpp.

{
mp_outStream->flush();
delete mp_outStream;
}

References mp_outStream.

## Member Function Documentation

## groupingProtein()

void pappso::GrpGroupingMonitor::groupingProtein | ( |  | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 62 of file grpgroupingmonitor.cpp.

{
m_currentProtein++;
(*mp_outStream) << "grouping protein " << m_currentProtein << " on " << m_totalNumberProtein
<< "\n";
mp_outStream->flush();
}
pappso::GrpGroupingMonitor::m_totalNumberProtein
std::size_t m_totalNumberProtein
Definition grpgroupingmonitor.h:52
pappso::GrpGroupingMonitor::m_currentProtein
std::size_t m_currentProtein
Definition grpgroupingmonitor.h:54

References m_currentProtein, m_totalNumberProtein, and mp_outStream.

## removingNonInformativeSubGroupsInGroup()

void pappso::GrpGroupingMonitor::removingNonInformativeSubGroupsInGroup | ( |  | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 84 of file grpgroupingmonitor.cpp.

{
(*mp_outStream) << "removing non informative on a single group\n";
mp_outStream->flush();
}

References mp_outStream.

## startGrouping()

void pappso::GrpGroupingMonitor::startGrouping | ( | std::size_t | total_number_protein,
|  | std::size_t | total_number_peptide )

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 51 of file grpgroupingmonitor.cpp.

{
m_totalNumberProtein = total_number_protein;
m_totalNumberPeptide = total_number_peptide;
m_currentProtein = 0;
(*mp_outStream) << "start grouping " << m_totalNumberProtein << " proteins "
<< total_number_peptide << " peptides\n";
mp_outStream->flush();
}
pappso::GrpGroupingMonitor::m_totalNumberPeptide
std::size_t m_totalNumberPeptide
Definition grpgroupingmonitor.h:53

References m_currentProtein, m_totalNumberPeptide, m_totalNumberProtein, and mp_outStream.

## startNumberingAllGroups()

void pappso::GrpGroupingMonitor::startNumberingAllGroups | ( | std::size_t | total_number_group | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 90 of file grpgroupingmonitor.cpp.

{
(*mp_outStream) << "numbering " << total_number_group << " groups\n";
mp_outStream->flush();
}

References mp_outStream.

## startRemovingNonInformativeSubGroupsInAllGroups()

void pappso::GrpGroupingMonitor::startRemovingNonInformativeSubGroupsInAllGroups | ( | std::size_t | total_number_group | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 70 of file grpgroupingmonitor.cpp.

{
(*mp_outStream) << "removing non informative subgroups in all groups (" << total_number_group
<< ")\n";
mp_outStream->flush();
}

References mp_outStream.

## stopGrouping()

void pappso::GrpGroupingMonitor::stopGrouping | ( |  | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 96 of file grpgroupingmonitor.cpp.

{
(*mp_outStream) << "grouping finished\n";
mp_outStream->flush();
}

References mp_outStream.

## stopRemovingNonInformativeSubGroupsInAllGroups()

void pappso::GrpGroupingMonitor::stopRemovingNonInformativeSubGroupsInAllGroups | ( | std::size_t | total_number_group | ) |

virtual

Implements pappso::GrpGroupingMonitorInterface.

Definition at line 77 of file grpgroupingmonitor.cpp.

{
(*mp_outStream) << "removing non informative subgroups finished, remaining " << total_number_group
<< " groups\n";
mp_outStream->flush();
}

References mp_outStream.

## Member Data Documentation

## m_currentProtein

std::size_t pappso::GrpGroupingMonitor::m_currentProtein

private

Definition at line 54 of file grpgroupingmonitor.h.

Referenced by groupingProtein(), and startGrouping().

## m_totalNumberPeptide

std::size_t pappso::GrpGroupingMonitor::m_totalNumberPeptide

private

Definition at line 53 of file grpgroupingmonitor.h.

Referenced by startGrouping().

## m_totalNumberProtein

std::size_t pappso::GrpGroupingMonitor::m_totalNumberProtein

private

Definition at line 52 of file grpgroupingmonitor.h.

Referenced by groupingProtein(), and startGrouping().

## mp_outStream

QTextStream* pappso::GrpGroupingMonitor::mp_outStream

private

Definition at line 51 of file grpgroupingmonitor.h.

Referenced by GrpGroupingMonitor(), ~GrpGroupingMonitor(), groupingProtein(), removingNonInformativeSubGroupsInGroup(), startGrouping(), startNumberingAllGroups(), startRemovingNonInformativeSubGroupsInAllGroups(), stopGrouping(), and stopRemovingNonInformativeSubGroupsInAllGroups().

The documentation for this class was generated from the following files:

- pappsomspp/core/grouping/grpgroupingmonitor.h
- pappsomspp/core/grouping/grpgroupingmonitor.cpp